/*
** Creation de Vignettes (C) Jimmy Productions 1997 ( from PUMPKIN/OMD 27/4/94 )

** Cre des vignettes  partir d'une liste d'images
*/

IF ~SHOW('L',"rexxsupport.library") THEN CALL ADDLIB("rexxsupport.library",0,-30)
SIGNAL ON SYNTAX
SyntaxID='AddRexxSupport'
CALL NULL()
SIGNAL OFF SYNTAX
IF POS('ADPro',SHOW('Ports'))=0 THEN DO
 Max_Seconds_To_Load=60
 zz=0
 CALL TIME('R')
 DO WHILE TIME('E')<Max_Seconds_To_Load & POS('ADPro',SHOW('Ports'))=0
  IF zz=0 THEN DO
   IF EXISTS('ADPro:ADPro') THEN DO
    ADDRESS COMMAND 'C:Run >NIL: ADPRO:ADPro MAXMEM=10000000 NOSAVEDEFAULTS DEFAULTFILE=ADPro:ADPro.prefs'
   END
   zz=1
  END
  CALL Delay(50)
 END
 IF POS('ADPro',SHOW('Ports'))=0 THEN DO
  SAY "Could not start ADPro/MorphPlus"
  EXIT
 END
END

/*
TRACE("NORMAL")
TRACE("RESULTS")
*/

ADDRESS "ADPro"
OPTIONS RESULTS

NL = '0A'X
SQ = '27'X
DQ = '22'X
TRUE  = 1
FALSE = 0
TempDefaults = "T:TempADProDefaults"

/*
** Save the current environment.
*/

SAVE_DEFAULTS TempDefaults

PARSE ARG argu


File_path = WORD(argu,1)
Sheight = WORD(argu,2)
FilesList = ""

open('file', 't:htmlcat12.tmp', 'R')

nom = readln('file')


DO WHILE nom ~=""
	FilesList = Fileslist||DQ||nom||DQ||" "
	nom = readln('file')
END

/*
** ----------------------------------------------------------
** Partie specifique adpro finie debut processus d'indexation
** ----------------------------------------------------------
*/

LFORMAT "UNIVERSAL"
LOAD_TYPE REPLACE

ExtensionList:


pref = "v"

/*
** ----------------
** boucle multi-idx
** ----------------
*/

OneMoreTime:

Bool_Arret = FALSE
Bool_LastFile = FALSE
PosCut = 1

DO WHILE Bool_LastFile = FALSE

/* ! chargement ! */

	LOAD_TYPE REPLACE

	ListCut=POS('" "',FilesList,PosCut)

	IF ListCut = 0 THEN DO
		Bool_LastFile = TRUE
		ListCut = LENGTH(FilesList)
	END

	Length_FileName = ListCut - PosCut + 1
	File_to_Load = SUBSTR(FilesList,PosCut,Length_FileName)


	AnteCut = PosCut
	PosCut = ListCut+2

	ErrLoad = FALSE

	LOADER "UNIVERSAL" File_to_Load

/* ! reduction ! */

	YSIZE
	Height = ADPRO_RESULT
	ratio = (Sheight/Height)*100
	PCT_SCALE ratio ratio

	posit=1

	posit = POS(':',File_to_Load,posit)
	nposit= posit

	DO WHILE nposit ~= 0
		nposit = POS('/',File_to_Load,posit+1)
		IF nposit ~=0 THEN DO
			posit = nposit 
		END
	END

	File_pat  = SUBSTR(File_to_Load,1,posit)
	File_name = SUBSTR(File_to_Load,posit+1,LENGTH(File_to_Load)-posit-1)
        lc = POS('"',File_name,1)

	IF lc ~= 0 THEN DO
        	File_name = SUBSTR(File_name,1,lc-1)
	END

	SAVER "JPEG" File_path||pref||File_name "RAW" "QUALITY" 10 "BOOST"


END

DISPLAYMESSAGE '"Art Department Professional"'

Exit
